# $Revision: 1.27 $, $Date: 2011/04/11 18:59:59 $
#
# Conditional build:
%bcond_without	incall	# don't include all tarballs in .src.rpm
#
%define		plugin_name	cdt
%define		need_x86	0
%define		need_ppc	0
%define		need_ia64	0
%define		need_x8664	0

%if %{with incall}
%define		need_x86	1
%define		need_ppc	1
%define		need_ia64	1
%define		need_x8664	1
%else
%ifarch %{ix86}
%define		need_x86	1
%endif
%ifarch ppc
%define		need_ppc	1
%endif
%ifarch ia64
%define		need_ia64	1
%endif
%ifarch %{x8664}
%define		need_x8664	1
%endif
%endif

Summary:	CDT - a set of plugins for Eclipse that implement a C/C++ IDE
Summary(pl.UTF-8):	CDT - zestaw wtyczek do środowiska Eclipse implementujący IDE C/C++
Name:		eclipse-plugin-%{plugin_name}
%define		_ver_major	7.0
%define		_ver_minor	2
Version:	%{_ver_major}.%{_ver_minor}
Release:	1
License:	CPL v1.0
Group:		Development/Languages
Source0:	http://download.eclipse.org/tools/cdt/releases/helios/dist/cdt-master-%{version}.zip
# Source0-md5:	01a34887d24bded98769f44fccc51282
URL:		http://www.eclipse.org/cdt/
BuildRequires:	unzip
Requires:	eclipse >= 3.6
ExclusiveArch:	%{ix86} %{x8664} ia64 ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%{_libdir}/eclipse/dropins/%{plugin_name}

%description
The CDT project adds a C/C++ Perspective to the Eclipse Workbench that
supports C/C++ development with a number of views, wizards, a powerful
editor, and a debugger.

%description -l pl.UTF-8
Projekt CDT rozszerza zintegrowane środowisko programistyczne Eclipse
o nowe elementy wspomagające tworzenie aplikacji w językach C i C++.

%prep
%setup -q -c

%build
rm -rf plugins/org.eclipse.cdt.*aix*_%{_ver_major}.*
rm -rf plugins/org.eclipse.cdt.*macosx*_%{_ver_major}.*
rm -rf plugins/org.eclipse.cdt.*qnx*_%{_ver_major}.*
rm -rf plugins/org.eclipse.cdt.*solaris*_%{_ver_major}.*
rm -rf plugins/org.eclipse.cdt.*win32*_%{_ver_major}.*
%ifnarch %{ix86}
rm -rf plugins/org.eclipse.cdt.*.x86_%{_ver_major}.*
%endif
%ifnarch ppc
rm -rf plugins/org.eclipse.cdt.*.ppc_%{_ver_major}.*
%endif
%ifnarch ia64
rm -rf plugins/org.eclipse.cdt.*.ia64_%{_ver_major}.*
%endif
%ifnarch %{x8664}
rm -rf plugins/org.eclipse.cdt.*.x86_64_%{_ver_major}.*
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_plugindir}/{features,plugins}

cp -r * $RPM_BUILD_ROOT%{_plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_plugindir}
%dir %{_plugindir}/features
%dir %{_plugindir}/plugins
%{_plugindir}/features/*.jar
%{_plugindir}/plugins/net.sourceforge.lpg*.jar
%{_plugindir}/plugins/org.eclipse.ant.*.jar
%{_plugindir}/plugins/org.eclipse.cdt*.jar
%{_plugindir}/plugins/org.eclipse.test*.jar
%{_plugindir}/plugins/org.eclipse.tm.tcf*.jar

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eclipse-plugin-cdt.spec,v $
Revision 1.27  2011/04/11 18:59:59  baggins
- 7.0.2

Revision 1.26  2011/04/11 12:52:39  baggins
- rel 1

Revision 1.25  2011/04/11 09:56:34  baggins
- no need for additional level of directories

Revision 1.24  2010/12/27 10:03:06  atler
- up to 7.0.1
- adjust to Equinox/p2

Revision 1.23  2008/05/23 23:33:14  cactus
- up to 4.0.3
- BR: eclipse >= 3.3
- all in one Source0
- lots of changes
- rel. 0.9

Revision 1.22  2007/10/03 20:54:47  cactus
- up to 3.1.2

Revision 1.21  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.19  2006/07/20 07:29:57  czarny
 - up to 3.1.0 compatibile with eclipse 3.2.0
 - rel 1

Revision 1.18  2006/06/03 10:38:10  pluto
- fix missing dir, release 2.

Revision 1.17  2006/03/11 17:19:04  pluto
- fix ia64 md5.

Revision 1.16  2006/03/11 17:09:59  pluto
- updated to 3.0.2.

Revision 1.15  2005/08/23 17:13:58  pawcioos
- updated md5 for Source2

Revision 1.14  2005/08/23 14:38:15  pawcioos
- updated to 3.0.0

Revision 1.13  2005/07/01 20:54:44  qboosh
- incall enabled by default
- updated ia64 md5 as well
- added x8664 to EA

Revision 1.12  2005/06/30 22:42:31  djurban
- update all mdsums

Revision 1.11  2005/06/30 22:31:42  djurban
- updated to 3.0.0rc1, only ix86 tho, i dont care much about other archs

Revision 1.10  2005/05/21 11:08:52  prism
- updated to 2.1.1

Revision 1.9  2004/12/27 14:56:18  pluto
- log fixed.
- ppc/ia64 archives added.

Revision 1.8  2004/12/27 14:27:46  pluto
- updated to 2.1.0.
- license fixed.
- exclusiveArch += ia64.

Revision 1.7  2004/12/01 15:21:39  zbyniu
- BR: unzip

Revision 1.6  2004/10/22 21:28:39  pluto
- %{_eclipsedir} fixed.
- .so perms fixed.

Revision 1.5  2004/10/21 21:05:07  pluto
- updated to 2.0.2.

Revision 1.4  2004/07/06 18:54:05  qboosh
- no sense to translate Eclipse name

Revision 1.3  2004/07/06 14:00:47  pluto
- license fix, release 1.

Revision 1.2  2004/07/06 13:58:25  pluto
- pl.

Revision 1.1  2004/07/06 10:00:04  pluto
- initial release.
